<?php
	
	declare(strict_types=1);
	
	/**
	 * User: Daschmi (daschmi@daschmi.de)
	 * Date: 14.01.2020
	 * Time: 07:18
	 * Plugin Name: wpShopGermany Modul "Downloadprodukt - Abwärtskompatibilität"
	 * Text Domain: wpsg
	 * Domain Path: /lang
	 * Plugin URI: https://maennchen1.de/
	 * Description: Mit wpShopGermany Version 4.2.1 wurde die Kodierung der Dateilinks von bas64 auf rawurl umgestellt. Dieses Plugin leitet alte URLs um
	 * Author: Daniel Schmitzer (daniel@maennchen1.de)
	 * Version: 1.0.0
	 * Author URI: http://maennchen1.de/
	 */
	
	namespace wpsg;
	
	\add_action('template_redirect', function() {
		
		if (($_REQUEST['m_id']??'') === '601' && isset($_REQUEST['file']) && isset($_REQUEST['order']) && isset($_REQUEST['produkt']) && isset($_REQUEST['chash']) && class_exists('wpsg_ShopController')) {
			
			$encoded_file = base64_decode($_REQUEST['file'], true);
			
			if ($encoded_file !== false) {
				  
				$redirect_url = \wpsg_ShopController::getShop()->getURL(\wpsg_ShopController::URL_BASKET, false, false, [
						'plugin' => '1',
						'noheader' => '1',
						'm_id' => '601',
						'order' => intval($_REQUEST['order']),
						'file' => rawurlencode($encoded_file),
						'produkt' => intval($_REQUEST['produkt']),
						'chash' => $_REQUEST['chash']
					]
				);
				
				\wpsg_ShopController::getShop()->redirect($redirect_url);
									
			}
			 
		}
		
	}, 9);